Package org.kapott.hbci.sepa.jaxb.camt_052_001_01

## Class ObjectFactory

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_01.ObjectFactory

    public class ObjectFactory
    extends java.lang.Object

This object contains factory methods for each Java content interface and Java element interface generated in the org.kapott.hbci.sepa.jaxb.camt_052_001_01 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

### Constructor Summary

Constructors
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.kapott.hbci.sepa.jaxb.camt_052_001_01

### Method Summary

All Methods Instance Methods Concrete Methods
`AccountIdentification3Choice` `createAccountIdentification3Choice()` Create an instance of `AccountIdentification3Choice`
`AccountInterest1` `createAccountInterest1()` Create an instance of `AccountInterest1`
`AccountReport9` `createAccountReport9()` Create an instance of `AccountReport9`
`AlternateSecurityIdentification2` `createAlternateSecurityIdentification2()` Create an instance of `AlternateSecurityIdentification2`
`AmountAndCurrencyExchange2` `createAmountAndCurrencyExchange2()` Create an instance of `AmountAndCurrencyExchange2`
`AmountAndCurrencyExchangeDetails1` `createAmountAndCurrencyExchangeDetails1()` Create an instance of `AmountAndCurrencyExchangeDetails1`
`AmountAndCurrencyExchangeDetails2` `createAmountAndCurrencyExchangeDetails2()` Create an instance of `AmountAndCurrencyExchangeDetails2`
`AmountRangeBoundary1` `createAmountRangeBoundary1()` Create an instance of `AmountRangeBoundary1`
`BalanceType1Choice` `createBalanceType1Choice()` Create an instance of `BalanceType1Choice`
`BankToCustomerAccountReportV01` `createBankToCustomerAccountReportV01()` Create an instance of `BankToCustomerAccountReportV01`
`BankTransactionCodeStructure1` `createBankTransactionCodeStructure1()` Create an instance of `BankTransactionCodeStructure1`
`BankTransactionCodeStructure2` `createBankTransactionCodeStructure2()` Create an instance of `BankTransactionCodeStructure2`
`BankTransactionCodeStructure3` `createBankTransactionCodeStructure3()` Create an instance of `BankTransactionCodeStructure3`
`BatchInformation1` `createBatchInformation1()` Create an instance of `BatchInformation1`
`BranchAndFinancialInstitutionIdentification3` `createBranchAndFinancialInstitutionIdentification3()` Create an instance of `BranchAndFinancialInstitutionIdentification3`
`BranchData` `createBranchData()` Create an instance of `BranchData`
`CashAccount13` `createCashAccount13()` Create an instance of `CashAccount13`
`CashAccount7` `createCashAccount7()` Create an instance of `CashAccount7`
`CashAccountType2` `createCashAccountType2()` Create an instance of `CashAccountType2`
`CashBalance1` `createCashBalance1()` Create an instance of `CashBalance1`
`CashBalanceAvailability1` `createCashBalanceAvailability1()` Create an instance of `CashBalanceAvailability1`
`CashBalanceAvailabilityDate1` `createCashBalanceAvailabilityDate1()` Create an instance of `CashBalanceAvailabilityDate1`
`ChargesInformation3` `createChargesInformation3()` Create an instance of `ChargesInformation3`
`ChargeTypeChoice` `createChargeTypeChoice()` Create an instance of `ChargeTypeChoice`
`ClearingSystemMemberIdentification3Choice` `createClearingSystemMemberIdentification3Choice()` Create an instance of `ClearingSystemMemberIdentification3Choice`
`CorporateAction1` `createCorporateAction1()` Create an instance of `CorporateAction1`
`CreditLine1` `createCreditLine1()` Create an instance of `CreditLine1`
`CreditorReferenceInformation1` `createCreditorReferenceInformation1()` Create an instance of `CreditorReferenceInformation1`
`CreditorReferenceType1` `createCreditorReferenceType1()` Create an instance of `CreditorReferenceType1`
`CurrencyAndAmount` `createCurrencyAndAmount()` Create an instance of `CurrencyAndAmount`
`CurrencyAndAmountRange` `createCurrencyAndAmountRange()` Create an instance of `CurrencyAndAmountRange`
`CurrencyExchange3` `createCurrencyExchange3()` Create an instance of `CurrencyExchange3`
`DateAndDateTimeChoice` `createDateAndDateTimeChoice()` Create an instance of `DateAndDateTimeChoice`
`DateAndPlaceOfBirth` `createDateAndPlaceOfBirth()` Create an instance of `DateAndPlaceOfBirth`
`DateTimePeriodDetails` `createDateTimePeriodDetails()` Create an instance of `DateTimePeriodDetails`
`Document` `createDocument()` Create an instance of `Document`
`javax.xml.bind.JAXBElement<Document>` `createDocument​(Document value)` Create an instance of `JAXBElement``<``Document``>`
`EntryTransaction1` `createEntryTransaction1()` Create an instance of `EntryTransaction1`
`FinancialInstitutionIdentification3` `createFinancialInstitutionIdentification3()` Create an instance of `FinancialInstitutionIdentification3`
`FinancialInstitutionIdentification5Choice` `createFinancialInstitutionIdentification5Choice()` Create an instance of `FinancialInstitutionIdentification5Choice`
`FinancialInstrumentQuantityChoice` `createFinancialInstrumentQuantityChoice()` Create an instance of `FinancialInstrumentQuantityChoice`
`FromToAmountRange` `createFromToAmountRange()` Create an instance of `FromToAmountRange`
`GenericIdentification3` `createGenericIdentification3()` Create an instance of `GenericIdentification3`
`GenericIdentification4` `createGenericIdentification4()` Create an instance of `GenericIdentification4`
`GroupHeader23` `createGroupHeader23()` Create an instance of `GroupHeader23`
`ImpliedCurrencyAmountRangeChoice` `createImpliedCurrencyAmountRangeChoice()` Create an instance of `ImpliedCurrencyAmountRangeChoice`
`InterestType1Choice` `createInterestType1Choice()` Create an instance of `InterestType1Choice`
`MessageIdentification2` `createMessageIdentification2()` Create an instance of `MessageIdentification2`
`NameAndAddress3` `createNameAndAddress3()` Create an instance of `NameAndAddress3`
`NameAndAddress7` `createNameAndAddress7()` Create an instance of `NameAndAddress7`
`NumberAndSumOfTransactions1` `createNumberAndSumOfTransactions1()` Create an instance of `NumberAndSumOfTransactions1`
`NumberAndSumOfTransactions2` `createNumberAndSumOfTransactions2()` Create an instance of `NumberAndSumOfTransactions2`
`NumberAndSumOfTransactionsPerBankTransactionCode1` `createNumberAndSumOfTransactionsPerBankTransactionCode1()` Create an instance of `NumberAndSumOfTransactionsPerBankTransactionCode1`
`OrganisationIdentification2` `createOrganisationIdentification2()` Create an instance of `OrganisationIdentification2`
`Pagination` `createPagination()` Create an instance of `Pagination`
`Party2Choice` `createParty2Choice()` Create an instance of `Party2Choice`
`PartyIdentification8` `createPartyIdentification8()` Create an instance of `PartyIdentification8`
`PersonIdentification3` `createPersonIdentification3()` Create an instance of `PersonIdentification3`
`PostalAddress1` `createPostalAddress1()` Create an instance of `PostalAddress1`
`ProprietaryAgent1` `createProprietaryAgent1()` Create an instance of `ProprietaryAgent1`
`ProprietaryBankTransactionCodeStructure1` `createProprietaryBankTransactionCodeStructure1()` Create an instance of `ProprietaryBankTransactionCodeStructure1`
`ProprietaryDate1` `createProprietaryDate1()` Create an instance of `ProprietaryDate1`
`ProprietaryParty1` `createProprietaryParty1()` Create an instance of `ProprietaryParty1`
`ProprietaryPrice1` `createProprietaryPrice1()` Create an instance of `ProprietaryPrice1`
`ProprietaryQuantity1` `createProprietaryQuantity1()` Create an instance of `ProprietaryQuantity1`
`ProprietaryReference1` `createProprietaryReference1()` Create an instance of `ProprietaryReference1`
`Purpose1Choice` `createPurpose1Choice()` Create an instance of `Purpose1Choice`
`Rate1` `createRate1()` Create an instance of `Rate1`
`RateTypeChoice` `createRateTypeChoice()` Create an instance of `RateTypeChoice`
`ReferredDocumentAmount1Choice` `createReferredDocumentAmount1Choice()` Create an instance of `ReferredDocumentAmount1Choice`
`ReferredDocumentInformation1` `createReferredDocumentInformation1()` Create an instance of `ReferredDocumentInformation1`
`ReferredDocumentType1` `createReferredDocumentType1()` Create an instance of `ReferredDocumentType1`
`RemittanceInformation1` `createRemittanceInformation1()` Create an instance of `RemittanceInformation1`
`RemittanceLocation1` `createRemittanceLocation1()` Create an instance of `RemittanceLocation1`
`ReportEntry1` `createReportEntry1()` Create an instance of `ReportEntry1`
`ReturnReason1Choice` `createReturnReason1Choice()` Create an instance of `ReturnReason1Choice`
`ReturnReasonInformation5` `createReturnReasonInformation5()` Create an instance of `ReturnReasonInformation5`
`SecurityIdentification4Choice` `createSecurityIdentification4Choice()` Create an instance of `SecurityIdentification4Choice`
`SimpleIdentificationInformation2` `createSimpleIdentificationInformation2()` Create an instance of `SimpleIdentificationInformation2`
`StructuredRemittanceInformation6` `createStructuredRemittanceInformation6()` Create an instance of `StructuredRemittanceInformation6`
`TaxCharges1` `createTaxCharges1()` Create an instance of `TaxCharges1`
`TaxDetails` `createTaxDetails()` Create an instance of `TaxDetails`
`TaxInformation2` `createTaxInformation2()` Create an instance of `TaxInformation2`
`TaxType` `createTaxType()` Create an instance of `TaxType`
`TotalTransactions1` `createTotalTransactions1()` Create an instance of `TotalTransactions1`
`TransactionAgents1` `createTransactionAgents1()` Create an instance of `TransactionAgents1`
`TransactionDates1` `createTransactionDates1()` Create an instance of `TransactionDates1`
`TransactionInterest1` `createTransactionInterest1()` Create an instance of `TransactionInterest1`
`TransactionParty1` `createTransactionParty1()` Create an instance of `TransactionParty1`
`TransactionPrice1Choice` `createTransactionPrice1Choice()` Create an instance of `TransactionPrice1Choice`
`TransactionQuantities1Choice` `createTransactionQuantities1Choice()` Create an instance of `TransactionQuantities1Choice`
`TransactionReferences1` `createTransactionReferences1()` Create an instance of `TransactionReferences1`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ObjectFactory

    public ObjectFactory()

Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.kapott.hbci.sepa.jaxb.camt_052_001_01

### Method Detail

#### createDocument

    public Document createDocument()

Create an instance of `Document`

#### createAccountIdentification3Choice

    public AccountIdentification3Choice createAccountIdentification3Choice()

Create an instance of `AccountIdentification3Choice`

#### createAccountInterest1

    public AccountInterest1 createAccountInterest1()

Create an instance of `AccountInterest1`

#### createAccountReport9

    public AccountReport9 createAccountReport9()

Create an instance of `AccountReport9`

#### createAlternateSecurityIdentification2

    public AlternateSecurityIdentification2 createAlternateSecurityIdentification2()

Create an instance of `AlternateSecurityIdentification2`

#### createAmountAndCurrencyExchange2

    public AmountAndCurrencyExchange2 createAmountAndCurrencyExchange2()

Create an instance of `AmountAndCurrencyExchange2`

#### createAmountAndCurrencyExchangeDetails1

    public AmountAndCurrencyExchangeDetails1 createAmountAndCurrencyExchangeDetails1()

Create an instance of `AmountAndCurrencyExchangeDetails1`

#### createAmountAndCurrencyExchangeDetails2

    public AmountAndCurrencyExchangeDetails2 createAmountAndCurrencyExchangeDetails2()

Create an instance of `AmountAndCurrencyExchangeDetails2`

#### createAmountRangeBoundary1

    public AmountRangeBoundary1 createAmountRangeBoundary1()

Create an instance of `AmountRangeBoundary1`

#### createBalanceType1Choice

    public BalanceType1Choice createBalanceType1Choice()

Create an instance of `BalanceType1Choice`

#### createBankToCustomerAccountReportV01

    public BankToCustomerAccountReportV01 createBankToCustomerAccountReportV01()

Create an instance of `BankToCustomerAccountReportV01`

#### createBankTransactionCodeStructure1

    public BankTransactionCodeStructure1 createBankTransactionCodeStructure1()

Create an instance of `BankTransactionCodeStructure1`

#### createBankTransactionCodeStructure2

    public BankTransactionCodeStructure2 createBankTransactionCodeStructure2()

Create an instance of `BankTransactionCodeStructure2`

#### createBankTransactionCodeStructure3

    public BankTransactionCodeStructure3 createBankTransactionCodeStructure3()

Create an instance of `BankTransactionCodeStructure3`

#### createBatchInformation1

    public BatchInformation1 createBatchInformation1()

Create an instance of `BatchInformation1`

#### createBranchAndFinancialInstitutionIdentification3

    public BranchAndFinancialInstitutionIdentification3 createBranchAndFinancialInstitutionIdentification3()

Create an instance of `BranchAndFinancialInstitutionIdentification3`

#### createBranchData

    public BranchData createBranchData()

Create an instance of `BranchData`

#### createCashAccount13

    public CashAccount13 createCashAccount13()

Create an instance of `CashAccount13`

#### createCashAccount7

    public CashAccount7 createCashAccount7()

Create an instance of `CashAccount7`

#### createCashAccountType2

    public CashAccountType2 createCashAccountType2()

Create an instance of `CashAccountType2`

#### createCashBalance1

    public CashBalance1 createCashBalance1()

Create an instance of `CashBalance1`

#### createCashBalanceAvailability1

    public CashBalanceAvailability1 createCashBalanceAvailability1()

Create an instance of `CashBalanceAvailability1`

#### createCashBalanceAvailabilityDate1

    public CashBalanceAvailabilityDate1 createCashBalanceAvailabilityDate1()

Create an instance of `CashBalanceAvailabilityDate1`

#### createChargeTypeChoice

    public ChargeTypeChoice createChargeTypeChoice()

Create an instance of `ChargeTypeChoice`

#### createChargesInformation3

    public ChargesInformation3 createChargesInformation3()

Create an instance of `ChargesInformation3`

#### createClearingSystemMemberIdentification3Choice

    public ClearingSystemMemberIdentification3Choice createClearingSystemMemberIdentification3Choice()

Create an instance of `ClearingSystemMemberIdentification3Choice`

#### createCorporateAction1

    public CorporateAction1 createCorporateAction1()

Create an instance of `CorporateAction1`

#### createCreditLine1

    public CreditLine1 createCreditLine1()

Create an instance of `CreditLine1`

#### createCreditorReferenceInformation1

    public CreditorReferenceInformation1 createCreditorReferenceInformation1()

Create an instance of `CreditorReferenceInformation1`

#### createCreditorReferenceType1

    public CreditorReferenceType1 createCreditorReferenceType1()

Create an instance of `CreditorReferenceType1`

#### createCurrencyAndAmount

    public CurrencyAndAmount createCurrencyAndAmount()

Create an instance of `CurrencyAndAmount`

#### createCurrencyAndAmountRange

    public CurrencyAndAmountRange createCurrencyAndAmountRange()

Create an instance of `CurrencyAndAmountRange`

#### createCurrencyExchange3

    public CurrencyExchange3 createCurrencyExchange3()

Create an instance of `CurrencyExchange3`

#### createDateAndDateTimeChoice

    public DateAndDateTimeChoice createDateAndDateTimeChoice()

Create an instance of `DateAndDateTimeChoice`

#### createDateAndPlaceOfBirth

    public DateAndPlaceOfBirth createDateAndPlaceOfBirth()

Create an instance of `DateAndPlaceOfBirth`

#### createDateTimePeriodDetails

    public DateTimePeriodDetails createDateTimePeriodDetails()

Create an instance of `DateTimePeriodDetails`

#### createEntryTransaction1

    public EntryTransaction1 createEntryTransaction1()

Create an instance of `EntryTransaction1`

#### createFinancialInstitutionIdentification3

    public FinancialInstitutionIdentification3 createFinancialInstitutionIdentification3()

Create an instance of `FinancialInstitutionIdentification3`

#### createFinancialInstitutionIdentification5Choice

    public FinancialInstitutionIdentification5Choice createFinancialInstitutionIdentification5Choice()

Create an instance of `FinancialInstitutionIdentification5Choice`

#### createFinancialInstrumentQuantityChoice

    public FinancialInstrumentQuantityChoice createFinancialInstrumentQuantityChoice()

Create an instance of `FinancialInstrumentQuantityChoice`

#### createFromToAmountRange

    public FromToAmountRange createFromToAmountRange()

Create an instance of `FromToAmountRange`

#### createGenericIdentification3

    public GenericIdentification3 createGenericIdentification3()

Create an instance of `GenericIdentification3`

#### createGenericIdentification4

    public GenericIdentification4 createGenericIdentification4()

Create an instance of `GenericIdentification4`

#### createGroupHeader23

    public GroupHeader23 createGroupHeader23()

Create an instance of `GroupHeader23`

#### createImpliedCurrencyAmountRangeChoice

    public ImpliedCurrencyAmountRangeChoice createImpliedCurrencyAmountRangeChoice()

Create an instance of `ImpliedCurrencyAmountRangeChoice`

#### createInterestType1Choice

    public InterestType1Choice createInterestType1Choice()

Create an instance of `InterestType1Choice`

#### createMessageIdentification2

    public MessageIdentification2 createMessageIdentification2()

Create an instance of `MessageIdentification2`

#### createNameAndAddress3

    public NameAndAddress3 createNameAndAddress3()

Create an instance of `NameAndAddress3`

#### createNameAndAddress7

    public NameAndAddress7 createNameAndAddress7()

Create an instance of `NameAndAddress7`

#### createNumberAndSumOfTransactions1

    public NumberAndSumOfTransactions1 createNumberAndSumOfTransactions1()

Create an instance of `NumberAndSumOfTransactions1`

#### createNumberAndSumOfTransactions2

    public NumberAndSumOfTransactions2 createNumberAndSumOfTransactions2()

Create an instance of `NumberAndSumOfTransactions2`

#### createNumberAndSumOfTransactionsPerBankTransactionCode1

    public NumberAndSumOfTransactionsPerBankTransactionCode1 createNumberAndSumOfTransactionsPerBankTransactionCode1()

Create an instance of `NumberAndSumOfTransactionsPerBankTransactionCode1`

#### createOrganisationIdentification2

    public OrganisationIdentification2 createOrganisationIdentification2()

Create an instance of `OrganisationIdentification2`

#### createPagination

    public Pagination createPagination()

Create an instance of `Pagination`

#### createParty2Choice

    public Party2Choice createParty2Choice()

Create an instance of `Party2Choice`

#### createPartyIdentification8

    public PartyIdentification8 createPartyIdentification8()

Create an instance of `PartyIdentification8`

#### createPersonIdentification3

    public PersonIdentification3 createPersonIdentification3()

Create an instance of `PersonIdentification3`

#### createPostalAddress1

    public PostalAddress1 createPostalAddress1()

Create an instance of `PostalAddress1`

#### createProprietaryAgent1

    public ProprietaryAgent1 createProprietaryAgent1()

Create an instance of `ProprietaryAgent1`

#### createProprietaryBankTransactionCodeStructure1

    public ProprietaryBankTransactionCodeStructure1 createProprietaryBankTransactionCodeStructure1()

Create an instance of `ProprietaryBankTransactionCodeStructure1`

#### createProprietaryDate1

    public ProprietaryDate1 createProprietaryDate1()

Create an instance of `ProprietaryDate1`

#### createProprietaryParty1

    public ProprietaryParty1 createProprietaryParty1()

Create an instance of `ProprietaryParty1`

#### createProprietaryPrice1

    public ProprietaryPrice1 createProprietaryPrice1()

Create an instance of `ProprietaryPrice1`

#### createProprietaryQuantity1

    public ProprietaryQuantity1 createProprietaryQuantity1()

Create an instance of `ProprietaryQuantity1`

#### createProprietaryReference1

    public ProprietaryReference1 createProprietaryReference1()

Create an instance of `ProprietaryReference1`

#### createPurpose1Choice

    public Purpose1Choice createPurpose1Choice()

Create an instance of `Purpose1Choice`

#### createRate1

    public Rate1 createRate1()

Create an instance of `Rate1`

#### createRateTypeChoice

    public RateTypeChoice createRateTypeChoice()

Create an instance of `RateTypeChoice`

#### createReferredDocumentAmount1Choice

    public ReferredDocumentAmount1Choice createReferredDocumentAmount1Choice()

Create an instance of `ReferredDocumentAmount1Choice`

#### createReferredDocumentInformation1

    public ReferredDocumentInformation1 createReferredDocumentInformation1()

Create an instance of `ReferredDocumentInformation1`

#### createReferredDocumentType1

    public ReferredDocumentType1 createReferredDocumentType1()

Create an instance of `ReferredDocumentType1`

#### createRemittanceInformation1

    public RemittanceInformation1 createRemittanceInformation1()

Create an instance of `RemittanceInformation1`

#### createRemittanceLocation1

    public RemittanceLocation1 createRemittanceLocation1()

Create an instance of `RemittanceLocation1`

#### createReportEntry1

    public ReportEntry1 createReportEntry1()

Create an instance of `ReportEntry1`

#### createReturnReason1Choice

    public ReturnReason1Choice createReturnReason1Choice()

Create an instance of `ReturnReason1Choice`

#### createReturnReasonInformation5

    public ReturnReasonInformation5 createReturnReasonInformation5()

Create an instance of `ReturnReasonInformation5`

#### createSecurityIdentification4Choice

    public SecurityIdentification4Choice createSecurityIdentification4Choice()

Create an instance of `SecurityIdentification4Choice`

#### createSimpleIdentificationInformation2

    public SimpleIdentificationInformation2 createSimpleIdentificationInformation2()

Create an instance of `SimpleIdentificationInformation2`

#### createStructuredRemittanceInformation6

    public StructuredRemittanceInformation6 createStructuredRemittanceInformation6()

Create an instance of `StructuredRemittanceInformation6`

#### createTaxCharges1

    public TaxCharges1 createTaxCharges1()

Create an instance of `TaxCharges1`

#### createTaxDetails

    public TaxDetails createTaxDetails()

Create an instance of `TaxDetails`

#### createTaxInformation2

    public TaxInformation2 createTaxInformation2()

Create an instance of `TaxInformation2`

#### createTaxType

    public TaxType createTaxType()

Create an instance of `TaxType`

#### createTotalTransactions1

    public TotalTransactions1 createTotalTransactions1()

Create an instance of `TotalTransactions1`

#### createTransactionAgents1

    public TransactionAgents1 createTransactionAgents1()

Create an instance of `TransactionAgents1`

#### createTransactionDates1

    public TransactionDates1 createTransactionDates1()

Create an instance of `TransactionDates1`

#### createTransactionInterest1

    public TransactionInterest1 createTransactionInterest1()

Create an instance of `TransactionInterest1`

#### createTransactionParty1

    public TransactionParty1 createTransactionParty1()

Create an instance of `TransactionParty1`

#### createTransactionPrice1Choice

    public TransactionPrice1Choice createTransactionPrice1Choice()

Create an instance of `TransactionPrice1Choice`

#### createTransactionQuantities1Choice

    public TransactionQuantities1Choice createTransactionQuantities1Choice()

Create an instance of `TransactionQuantities1Choice`

#### createTransactionReferences1

    public TransactionReferences1 createTransactionReferences1()

Create an instance of `TransactionReferences1`

#### createDocument

    public javax.xml.bind.JAXBElement<Document> createDocument​(Document value)

Create an instance of `JAXBElement``<``Document``>`

Parameters:
  `value` - Java instance representing xml element's value.
Returns:
  the new instance of `JAXBElement``<``Document``>`